/**
 *@author       谢辉
 *@date         2019/5/31 10:20
 *@Copyright    天源迪科信息技术股份有限公司
 *@Description
 */
import _ from 'lodash';
function getChildren(h,ctx){
  const children=ctx.props.children||{};
  const items=children.items||[];
  return items.map(item=>{
    return h(children.sytnax,{props:item})
  })
}
export default {
  name:'FunctionComponent',
  functional:true,
  props:{
    type:{
      type:String,
      default:''
    },
    children:{
      type:Object,
      default(){
        return {};
      }
    },
    on:{
      type:Object,
      default(){
        return {}
      }
    }
  },
  render (h, ctx) {
    // console.log('%c ctx','color:blue;background:orange;',ctx);
    // console.log('%c this','color:blue;background:orange;',this);
    return h(
      ctx.props.type,
      _.merge(
          ctx.data,
          ctx.props
      ),
      getChildren(h,ctx)
    )
  },
}
